#!/bin/sh
echo "Mojave major update patch tool & red badge remover v2.0 by Informatique Service"
# Restore softwareupdate --ignore "macOS Monterey"
# Remove red badge on Software Update on system Preferences
# Remove red badge on system Preferences and relaunch the Dock.
OS_NAME=${1:-$(sw_vers -productName)}
OS_VER=${1:-$(sw_vers -productVersion)}
OS_BUILD=${1:-$(sw_vers -buildVersion)}
if [[ "$OS_BUILD" == 18* ]]
then
    echo ""
else
    echo
    echo "\033[0;31mERROR: Volume appears to have $OS_NAME $OS_VER ($OS_BUILD)\033[0m"
    echo "\033[0;31mPlease make sure you booted on macOS Mojave volume\033[0m"
    echo
    exit 1
fi
sudo softwareupdate --ignore "macOS Monterey"
sudo defaults delete /Library/Preferences/com.apple.SoftwareUpdate.plist LastRecommendedMajorOSBundleIdentifier
defaults delete com.apple.preferences.softwareupdate LatestMajorOSSeenByUserBundleIdentifier
defaults write com.apple.systempreferences AttentionPrefBundleIDs 0
killall Dock
echo Done, the volume is now patched to ignore Monterey
exit 0

# Updated on October 25, 2021 by Informatique Service.